﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace MMDeviceTestingCS
{
    [ComImport]
    [Guid("D666063F-1587-4E43-81F1-B948E807363F")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    public interface IMMDevice
    {
        uint Activate(Guid iid, uint dwClsCtx, IntPtr pActivationParams, [Out] out IntPtr pinterface);
        uint OpenPropertyStore(StorageAccessMode stgmAccess, [Out] out IPropertyStore ppProperties);
        uint GetId([Out, MarshalAs(UnmanagedType.LPWStr)] out string ppstrId);
        uint GetState([Out] out uint pdwState);
    }
}
