﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace MMDeviceTestingCS
{
    [ComImport]
    [Guid("A95664D2-9614-4F35-A746-DE8DB63617E6")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    public interface IMMDeviceEnumerator
    {
        uint EnumAudioEndpoint(EDataFlow dataFlow, DeviceState dwStateMask, [Out] out IMMDeviceCollection ppDevices);
        uint GetDefaultAudioEndpoint(EDataFlow dataFlow, ERole role, [Out] out IMMDevice ppEndpoint);
        uint GetDevice([MarshalAs(UnmanagedType.LPWStr)] string pwstrId, [Out] out IMMDevice ppDevice);
        uint RegisterEndpointNotificationCallback(IMMNotificationClient pClient);
        uint UnRegisterEndpointNotificationCallback(IMMNotificationClient pClient);
    }
}
