﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace MMDeviceTestingCS
{ 
    [ComImport]
    [Guid("886d8eeb-8cf2-4446-8d02-cdba1dbdcf99")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    public interface IPropertyStore
    {
        uint GetCount([Out] out uint cProps);
        uint GetAt(uint iProp, out PropertyKey pKey);
        uint GetValue(ref PropertyKey key, out PropVariant propvar);
        uint SetValue(ref PropertyKey key, [In] ref PropVariant propvar);
        uint Commit();
    }
}
