﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection.Emit;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace MMDeviceTestingCS
{
    public interface IMMNotificationClient
    {
        uint OnDefaultDeviceChanged(EDataFlow flow, ERole role, [MarshalAs(UnmanagedType.LPWStr)] string pwstrDefaultDeviceId);
        uint OnDeviceAdded([MarshalAs(UnmanagedType.LPWStr)] string pwstrDefaultDeviceId);
        uint OnDeviceRemoved([MarshalAs(UnmanagedType.LPWStr)] string pwstrDefaultDeviceId);
        uint OnDeviceStateChanged([MarshalAs(UnmanagedType.LPWStr)] string pwstrDefaultDeviceId, DeviceState dwNewState);
        uint OnPropertyValueChanged([MarshalAs(UnmanagedType.LPWStr)] string pwstrDefaultDeviceId, PropertyKey key);
    }
}
